import { MessageFlags, ChannelType, ActionRowBuilder, ChannelSelectMenuBuilder } from "discord.js"
import type { ButtonInteraction } from "discord.js"
import { t } from "@/utils/i18n"

export const id = "twitch_channel"
export async function execute(interaction: ButtonInteraction) {
	const channelSelect = new ChannelSelectMenuBuilder()
		.setCustomId("twitch_channel")
		.setPlaceholder(t(interaction.locale, "twitch.select_notification_channel_placeholder"))
		.addChannelTypes(ChannelType.GuildText, ChannelType.GuildAnnouncement)

	const row = new ActionRowBuilder<ChannelSelectMenuBuilder>().addComponents(channelSelect)

	return interaction.reply({
		content: t(interaction.locale, "twitch.select_notification_channel"),
		components: [row],
		flags: MessageFlags.Ephemeral
	})
}
